*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
    font-family: arial;
}
section.login-page {
    min-height: 100dvh;
}
.btn-pass-toggle svg {
    display: block; /* Prevents alignment shifts */
}

.btn-pass-toggle .d-none {
    display: none !important; /* Forces Bootstrap behavior */
}


section.login-page .login-left {
    min-height: 100dvh;
    background: linear-gradient(135deg, #1C398E 0%, #764ACF 50%, #1C398E 100%);
}
section.login-page .login-left .login-left-content-wrp {
    display: flex;
    flex-direction: column;
    height: 100%;
}
section.login-page .login-left .login-left-content-wrp img {
    width: 100%;
    display: block;
    margin:0 auto;
    max-height: calc(100dvh - 200px);
    object-fit: contain;
}
section.login-page .login-left .login-left-content-wrp ul{
    padding: 0 0 0 50px;
    margin:0;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
section.login-page .login-left .login-left-content-wrp ul li{
    list-style: none;
    display: flex;
    gap: 10px;
    align-items: center;
    color: white;
}
section.login-page .login-left .login-left-content-wrp ul li .icon-wrp {
    width: 40px;
    height: 40px;
    display: flex;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    background: rgb(255,255,255,0.1);
}
section.login-page .login-left p.login-footer-text {
    color: #8EC5FF;
    margin: 0;
    margin-top: auto;
    padding: 10px;
}
section.login-page .login-right {
    min-height: 100dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F9FAFB;
}
section.login-page .login-right .login-wrp {
    width: calc(100% - 20px);
    max-width: 500px;
}
section.login-page .login-right .login-wrp img {
    width: 160px;
    display: block;
    margin: 0px auto 40px;
}
section.login-page .login-right .login-wrp form.login-form{
    width: 100%;
}
section.login-page .login-right .login-wrp form.login-form {
    background: #fff;
    border: 1px solid #DDDDDD;
    padding: 20px 20px 44px;
    border-radius: 15px;
}
section.login-page .login-right .login-wrp form.login-form .heading-login {
    margin-bottom: 32px;
}
section.login-page .login-right .login-wrp form.login-form .heading-login h3 {
    margin: 0;
    font-size: 24px;
    line-height: 36px;
    font-weight: 500;
    color: #101828;
}
section.login-page .login-right .login-wrp form.login-form .heading-login p {
    color: #4A5565;
    margin: 0;
    font-size: 16px;
    line-height: 24px;
}
section.login-page .login-right .login-wrp form.login-form .login-field {
    margin-bottom: 24px;
}
section.login-page .login-right .login-wrp form.login-form .login-field label {
    font-size: 14px;
    line-height: 20px;
    color: #364153;
    margin-bottom: 8px;
}
section.login-page .login-right .login-wrp form.login-form .login-field .input-field {
    position: relative;
}
section.login-page .login-right .login-wrp form.login-form .login-field .input-field > svg {
    position: absolute;
    left: 12px;
    top: 15px;
}
section.login-page .login-right .login-wrp form.login-form .login-field .input-field input {
    height: 50px;
    width: 100%;
    border: 1px solid #D1D5DC;
    border-radius: 10px;
    padding-left: 40px;
}
section.login-page .login-right .login-wrp form.login-form .login-field .input-field button.btn-pass-toggle {
    position: absolute;
    right: 0;
    top: 0;
    border: 0;
    padding: 8px 13px;
    background: transparent;
    height: 50px;
    display: flex;
    align-items: center;
}
section.login-page .login-right .login-wrp form.login-form .login-field .input-field button.btn-pass-toggle svg.eye-hide {
    display: none;
}
.cstm-checkbox label {
    display: flex;
    align-items: center;
    gap: 6px;
    color: #364153;
    cursor: pointer;
    font-size: 14px;
    line-height: 20px;
}
.cstm-checkbox label span.crcl {
    width: 34px;
    height: 18px;
    background: #d9d9d9;
    display: block;
    border-radius: 40px;
    position: relative;
    cursor: pointer;
}
.cstm-checkbox label span.crcl:before {
    content: '';
    width: 14px;
    height: 14px;
    background: white;
    position: absolute;
    left: 2px;
    top: 2px;
    border-radius: 50px;
    transition: 0.3s all;
}
.cstm-checkbox input:checked ~ label span.crcl {
    background: #6646c2;
}
.cstm-checkbox input:checked ~ label span.crcl:before {
    left: 18px;
}
section.login-page .login-right .login-wrp form.login-form a {
    color: #1447E6;
    text-decoration: none;
    font-size: 14px;
    line-height: 20px;
}
section.login-page .login-right .login-wrp form.login-form button.login-btn {
    background: #6646C2;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 10px 15px -3px rgba(20, 71, 230, 0.30), 0 4px 6px -4px rgba(20, 71, 230, 0.30);
    border-radius: 10px;
    height: 48px;
    color: white;
    gap: 8px;
    border: 0;
    margin-top: 24px;
}
section.login-page .login-right .login-wrp form.login-form button.login-btn:hover {
    background: linear-gradient(90deg,rgba(102, 70, 194, 1) 0%, rgba(20, 71, 230, 1) 100%);
}

/* ===================================================================================================
                                    DASHBOARD CSS Start
=====================================================================================================*/
body:has(main.dashboard){
    background: #E5E7EB;
}
.dashboard-content {
    padding: 24px 12px;
}
main.dashboard {
    display: flex;
}
main.dashboard aside {
    width: 256px;
    display: flex;
    flex-direction: column;
    height: 100dvh;
    border-right: 1px solid #E5E7EB;
    position: fixed;
    left: 0;
    background-color: white;
    top: 0;
}
main.dashboard .dashboard-wrp{
    width: calc(100% - 256px);
    margin-left: 256px;
}
main.dashboard aside .dashboard-logo a {
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 8px 20px;
    border-bottom: 1px solid #E5E7EB;
    height: 77px;
}
main.dashboard aside .dashboard-logo a img {
    width: fit-content;
    max-width: 100%;
    max-height: 60px;
}
main.dashboard aside .dashboard-logo a .logo-txt h3 {
    font-size: 16px;
    line-height: 24px;
    color: #101828;
    margin: 0;
}
main.dashboard aside .dashboard-logo a .logo-txt p {
    color: #6A7282;
    font-size: 12px;
    line-height: 16px;
    margin: 0;
}
main.dashboard aside ul.sidebar-menu {
    padding: 16px;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 4px;
    max-height: calc(100dvh - 180px);
    overflow: auto;
}

main.dashboard aside ul.sidebar-menu li {
    list-style: none;
}

main.dashboard aside ul.sidebar-menu li a {
    padding: 8px 12px;
    display: flex;
    gap: 12px;
    border-radius: 10px;
    font-size: 14px;
    text-decoration: none;
    line-height: 20px;
    color: #364153;
}
main.dashboard aside ul.sidebar-menu li a.active,
main.dashboard aside ul.sidebar-menu li a:hover{
    background: #EEF2FF;
    color: #4F39F6;
}
main.dashboard aside .footer-links {
    margin-top: auto;
    padding: 0px 16px;
}
main.dashboard aside .footer-links a.act {
    color: #4F39F6;
}
main.dashboard aside .footer-links a {
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: 10px;
    padding: 10px 12px;
    color: #364153;
}
main.dashboard aside .footer-links span {
    font-size: 12px;
    line-height: 16px;
}
body.sidebar main.dashboard aside {
    width: 80px;
}
body.sidebar main.dashboard aside ul.sidebar-menu li a span {
    display: none;
}
body.sidebar main.dashboard aside .footer-links {
    display: none;
}
main.dashboard .dashboard-wrp header.header {
    display: flex;
    justify-content: space-between;
    padding: 10px 20px;
    border-bottom: 1px solid #E5E7EB;
    background-color: white;
    height: 77px;
    position: sticky;
    top: 0;
    z-index: 99;
}
body.sidebar main.dashboard .dashboard-wrp {
    width: calc(100% - 80px);
    margin-left: 80px;
}
main.dashboard .dashboard-wrp header.header .left-header{
    display: flex;
    gap: 10px;
    align-items: center;
}
main.dashboard .dashboard-wrp header.header .left-header .search-bx-dash {
    display: flex;
    align-items: center;
    position: relative;
}
main.dashboard .dashboard-wrp header.header .left-header .search-bx-dash > svg {
    position: absolute;
    left: 8px;
    top: 10px;
    width: 18px;
    color:#99A1AF;
}
main.dashboard .dashboard-wrp header.header .left-header  button.btn-sidebar {
    padding: 6px 10px;
    border-radius: 4px;
    border: 1px solid #6646c2;
    background: transparent;
    color: #6646c2;
}
main.dashboard .dashboard-wrp header.header .left-header button.btn-sidebar svg {
    width: 20px;
    height: 20px;
}
main.dashboard .dashboard-wrp header.header .left-header  button.btn-sidebar:hover {
    background: #6646c2;
    color: white;
}
main.dashboard .dashboard-wrp header.header .search-bx-dash input {
    border: 1px solid #dee2e6;
    height: 42px;
    border-radius: 6px 0 0 6px;
    border-right: 0;
    padding: 10px 20px 10px 32px;
}
main.dashboard .dashboard-wrp header.header select {
    border-left: 0;
    height: 42px;
    min-width: 140px;
    border-radius: 0 6px 6px 0;
    box-shadow: none;
    outline: none;
    border-color: #DEE2E6;
}
main.dashboard .dashboard-wrp header.header input:focus {
    outline: none;
}
main.dashboard .dashboard-wrp header.header .right-header {
    display: flex;
    gap: 16px;
}
main.dashboard .dashboard-wrp header.header .right-header button.notification {
    position: relative;
    border: 0;
    background: transparent;
    padding: 14px 18px;
}
main.dashboard .dashboard-wrp header.header .right-header button.notification span.noti-count {
    color: #fff;
    background: #FB2C36;
    width: 16px;
    height: 16px;
    display: block;
    position: absolute;
    font-size: 10px;
    border-radius: 50px;
    top: 8px;
    right: 4px;
}
main.dashboard .dashboard-wrp header.header .right-header button.profile-btn {
    display: flex;
    background: transparent;
    border: 0;
    align-items: center;
    gap: 6px;
    padding: 6px 12px;
}
main.dashboard .dashboard-wrp header.header .right-header button.profile-btn span.username-bx {
    width: 32px;
    height: 32px;
    background: #4F39F6;
    color: white;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}
main.dashboard .dashboard-wrp header.header .right-header button.profile-btn .position-txt h4 {
    font-size: 14px;
    line-height: 20px;
    color: #101828;
    margin: 0;
}
main.dashboard .dashboard-wrp header.header .right-header button.profile-btn .position-txt {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
main.dashboard .dashboard-wrp header.header .right-header button.profile-btn .position-txt span {
    font-size: 12px;
    line-height: 16px;
    color: #6A7282;
}
.dashboard-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.dashboard-heading .breadcum-txt h3 {
    font-size: 24px;
    line-height: 36px;
    margin: 0;
    color: #101828;
}
.dashboard-heading .breadcum-txt p {
    color: #6A7282;
    font-size: 16px;
    line-height: 24px;
}
.dashboard-heading button.refresh-btn {
    display: flex;
    align-items: center;
    gap: 6px;
    background: #6646C2;
    border: 0;
    font-size: 16px;
    line-height: 24px;
    padding: 6px 12px;
    border-radius: 8px;
    color: white;
}
.dashboard-heading button.refresh-btn:hover {
    background: #502faf;
}
#map-canvas {
    width: 100%;
    height: 550px;
}
#liveMap{
    width: 100%;
    height: calc(100dvh - 280px);
}
.card-dash {
    background: white;
    border-radius: 12px;
    padding: 16px;
    box-shadow: 0 10px 30px rgba(12, 18, 40, 0.04);
    height: 100%;
}
.card-dash h2.heading {
    margin: -16px -16px 0;
    border-bottom: 1px solid #e3e3e3;
    margin-bottom: 16px;
    padding: 10px 12px;
    font-size: 20px;
    color: #101828;
}
.dashboard-content table,
.dashboard-content table th,
.dashboard-content table td{
    font-size: 14px;
    color: #101828;
    line-height: 20px;
}
.card-boxes-dash {
    border-radius: 10px;
    border: 1px solid #E5E7EB;
    background: linear-gradient(180deg, #EEF2FF 0%, #D5D9FF 100%);
    height: 100%;
    display: flex;
    justify-content: space-between;
    padding: 12px 18px;
}
.card-boxes-dash .left-content-bx h6 {
    color: #6A7282;
    font-size: 14px;
    line-height: 20px;
}
.card-boxes-dash .left-content-bx h3 {
    color: #101828;
    font-size: 30px;
    line-height: 34px;
}
.card-boxes-dash .left-content-bx p.upper-txt {
    display: flex;
    margin: 0;
    gap: 7px;
    align-items: center;
    color: #00A63E;
}
.card-boxes-dash .left-content-bx p {
    margin: 0;
    font-size: 14px;
    line-height: 16px;
}
.card-boxes-dash .left-content-bx p.mute-txt {
    color: #6A7282;
}
.card-boxes-dash .left-content-bx p.danger {
    color: #F54900;
}
.h-unset{
    height: unset;
}
.theme-btn-outline{
    border: 1px solid #6646C2;
    color:#6646C2;
}
.theme-btn-outline:hover,
/* .theme-btn-outline:focus, */
.theme-btn-outline:active{
    border: 1px solid #6646C2 !important;
    background-color:#6646C2 !important;
    color:#fff !important;
}
.theme-btn{
    background: #6646C2;
    color: white;
    border: 1px solid #6646C2;
}
.theme-btn:hover{
    background: #462f8d;
    color: white;
    border: 1px solid #462f8d;
}
label.form-label {
    color: #333;
    font-weight: 500;
}
img.user-img-mdl {
    width: 80px;
    height: 80px;
    justify-content: center;
    display: flex;
    align-items: center;
    margin: 0px auto;
    border-radius: 50%;
}
.edit-user-profile{
    width: fit-content;
    margin:0px auto;
}
.edit-profile-btn {
    position: absolute;
    right: 0px;
    bottom: 0px;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #6646C2;
    background: #6646C2;
    border-radius: 50%;
    color: white;
}
.edit-user-profile img.user-img-mdl {
    border: 1px solid #b5b5b5;
}


/* ============================== 09 Dec 2025 ============================== */
main.dashboard aside{
    transition: 0.3s all;
}
.upload-file-wrp {
    border: 1px solid #dee2e6;
    padding: 3px 8px;
    border-radius: 0px 0px 4px 4px;
}
div:has(.upload-file-wrp)  > textarea {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    border-bottom: 0;
}
.upload-file-wrp label.upload-file-js span {
    font-size: 12px;
    color: #4d72df;
    cursor: pointer;
}
.preview-bx-wrp-file {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
}
.preview-bx-wrp-file .file-preview {
    width: 80px;
    position: relative;
    display: flex;
    flex-direction: column;
    border: 1px solid gray;
}
.preview-bx-wrp-file .file-preview img {
    width: 100%;
    height: 80px;
    display: block;
}
.preview-bx-wrp-file .file-preview > span {
    font-size: 12px;
    line-height: 10px;
    display: inline-block;
    white-space: nowrap;
    padding: 5px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.preview-bx-wrp-file .file-preview button.remove-file {
    position: absolute;
    right: 0;
    top: 0;
    background: red;
    color: white;
    border: 0;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.preview-bx-wrp-file .file-preview button.remove-file svg {
    width: 16px;
    height: 16px;
}
main.dashboard .dashboard-wrp header.header .right-header ul.dropdown-menu {
    right: 0 !important;
    left: unset !important;
    min-width: 120px;
}

/* Example CSS */
.sidebar {
    width: 250px; /* Adjust based on your design */
    position: fixed;
    left: -250px; /* Sidebar is hidden initially */
    transition: left 0.3s ease-in-out;
}

.sidebar.active {
    left: 0; /* Show the sidebar */
}



/* parsley validation start */
.parsley-errors-list {
    --bs-text-opacity: 1;
    color: rgb(220 53 69) !important;
    margin: 9px 0 3px;
    padding: 0;
    list-style-type: none;
    line-height: 0.9em;
    opacity: 0;
    transition: all .3s ease-in;
    -o-transition: all .3s ease-in;
    -moz-transition: all .3s ease-in;
    -webkit-transition: all .3s ease-in;
}

.parsley-errors-list.filled {
    opacity: 1;
}

/* Show on mobile */
.btn-sidebar {
    display: block;
}

/* Hide on desktop (992px and above) */
@media (min-width: 992px) {
    .btn-sidebar {
        display: none;
    }
}

@media (min-width: 1200px) {
    .btn-sidebar {
        display: none;
    }
}

.dashboard-heading .btn.refresh-btn {
    display: flex;
    align-items: center;
    gap: 6px;
    background: #6646C2;
    border: 0;
    font-size: 16px;
    line-height: 24px;
    padding: 6px 12px;
    border-radius: 8px;
    color: white;
}